Bug 699024 - Krandrtray does not save position of second display
Krandrtray does not save position of second display
Status: CLOSED DUPLICATE of bug 607180
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-22 12:40 EDT by Miroslav Suchý
Modified: 2013-02-11 16:28 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-11 16:28:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2011-04-22 12:40:34 EDT
Description of problem:
I have setup which is best described as:
xrandr --output \"DVI-0\" --pos 1024x0 --mode 1600x1200 --rotate left --refresh 60
xrandr --output \"DVI-1\" --pos 0x0 --mode 1280x1024 --rotate left --refresh 60.0197 --left-of \"DVI-0\"
xrandr --output \"DVI-0\" --primary

If I start with nothing configured and will start up krandtray and will set this configuration by clicking. And especially I Set
+ DVI-0
    Position: Absolute: 1024 0
+ DVI-1
    Position: Left of: DVI-0

I do the restart, krandrtray will start up automatically, but my setup is now:
+ DVI-0
    Position: Absolute: 1024 0
+ DVI-1
    Position: Clone of: DVI-0

This is because krandtray will not save the position of second display to .kde/share/config/startupconfig

If I manually open .kde/share/config/startupconfig and change the line:
krandrrc_display_startupcommands="xrandr --output \"DVI-0\" --pos 1024x0 --mode 1600x1200 --rotate left --refresh 60         
xrandr --output \"DVI-1\" --pos 0x0 --mode 1280x1024 --rotate left --refresh 60.0197                     
xrandr --output \"DVI-0\" --primary"

to:
krandrrc_display_startupcommands="xrandr --output \"DVI-0\" --pos 1024x0 --mode 1600x1200 --rotate left --refresh 60         
xrandr --output \"DVI-1\" --pos 0x0 --mode 1280x1024 --rotate left --refresh 60.0197 --left-of \"DVI-0\"
----------^^^^^^^^^^^^^^ emphasis mine
xrandr --output \"DVI-0\" --primary"

then after next restart the DVI-1 will stay left of DVI-0 and this state is preserved.

Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/krandrtray
kdebase-workspace-4.6.1-7.fc15.x86_64

How reproducible:
deterministic

Steps to Reproduce:
1. have two displays
2. rotate them to left (most probably not needed)
3. in krandrtray position second display left of first
4. restart KDE
  
Actual results:
after restart is second display clone of first

Expected results:
second display is left of first and this setting is preserved

Additional info:
Comment 1 Alexei Podtelezhnikov 2011-04-24 14:28:33 EDT
This looks like bug 607180 is not fully fixed. That's bad news.
The good news is that I know how to fix it.

0. Remove all configuration that is not in .kde/share/config/krandrrc  
1. Configure your display using System Setting / Display and Monitor
2. Save as default
3. Delete all occurances of "\nxrandr" from .kde/share/config/krandr, i.e.
make it a single xrandr command in StartupCommands line

For example, in your case:
StartupCommands=xrandr --output "DVI-0" --pos 1024x0 --mode 1600x1200 --rotate left --refresh 60 --primary --output "DVI-1" --mode 1280x1024 --left-of "DVI-0" --rotate left --refresh 60.0197 --left-of "DVI-0"

It is ok to combine several --output
Comment 2 A. Rodriguez 2011-06-04 07:28:06 EDT
Confirm bug in krandrtray. Kde is not keeping monitor configurations between sessions.

It seems that krandrtray is writing extra "\nxrandr" in the "StartupCommands=" variable in .kde/share/config/krandr, which are not understood by krandrstartup when reading the .kde/share/config/startupconfig file.


Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/krandrtray
kdebase-workspace-4.6.3-5.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. have two displays 
2. configure displays in krandrtray and save configuration.
3. log out of session and log in again
4. configuration is lost. 


Actual results:
configuration of monitors is lost between sessions

Expected results:
configuration should be preserved between sessions
Comment 3 Alexei Podtelezhnikov 2011-06-10 22:32:19 EDT
Read and try the workaround in the comment 1
Comment 4 Fedora End Of Life 2012-08-07 14:59:03 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Miroslav Suchý 2012-08-08 02:40:27 EDT
This bug is still valid. Reopening.
Comment 6 Kevin Kofler 2013-02-11 16:28:21 EST
This looks like a special case of bug #607180, which I've just reopened.

*** This bug has been marked as a duplicate of bug 607180 ***

Note You need to log in before you can comment on or make changes to this bug.